Subject: Re: bug#744: Error: "it looks like wine32 is missing" but then cannot install wine32

From: Alex Kemp <[email-masked]>
Date: Thu, 2 Mar 2023 13:46:19 +0000

Thanks for your expert direction so far, Mark, but I am abandoning wine 
at this point, and have removed all traces from my system. I took a look 
at the staggeringly-large list of :i386 packages that were required to 
support wine32 & decided "no thanks".

On 27/02/2023 16:45, Mark Hindley wrote:
> Alex,
>
> On Mon, Feb 27, 2023 at 12:20:56PM +0000, Alex Kemp wrote:
>> What does
>>
>>   apt-cache policy libldap-2.4-2:i386 libvulkan1:i386
>>
>> produce?
>>
>>     $ apt-cache policy libldap-2.4-2:i386 libvulkan1:i386
>>     libldap-2.4-2:i386:
>>       Installed: (none)
>>       Candidate: 2.4.57+dfsg-3+deb11u1
>>       Version table:
>>          2.4.59+dfsg-1~bpo11+1 100
>>             100 http://deb.devuan.org/merged chimaera-backports/main i386
>>     Packages
>>          2.4.57+dfsg-3+deb11u1 500
>>             500 http://deb.devuan.org/merged chimaera/main i386 Packages
>>             500 http://deb.devuan.org/merged chimaera-security/main i386
>>     Packages
>>     libvulkan1:i386:
>>       Installed: (none)
>>       Candidate: 1.2.162.0-1
>>       Version table:
>>          1.3.224.0-1~bpo11+1 100
>>             100 http://deb.devuan.org/merged chimaera-backports/main i386
>>     Packages
>>          1.2.162.0-1 500
>>             500 http://deb.devuan.org/merged chimaera/main i386
> OK, so now try to install libldap-2.4-2:i386
>
> If it works then try to install wine32. If not use
>
>   -o Debug::pkgProblemResolver=yes
>
> if it is not obvious why it won't install.
>
> The option
>
>   --allow-downgrades
>
> may also help.
>
> I don't think there is a bug here. I think you ahve just got into a corner with
> some backports packages installed and apt needs help to find a solution.
>
> Mark